﻿<UserControl x:Class="CASH.Views.UserView"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:dx="http://schemas.devexpress.com/winfx/2008/xaml/core"
        xmlns:dxe="http://schemas.devexpress.com/winfx/2008/xaml/editors"
        xmlns:dxg="http://schemas.devexpress.com/winfx/2008/xaml/grid"
        xmlns:dxb="http://schemas.devexpress.com/winfx/2008/xaml/bars"
        xmlns:dxr="http://schemas.devexpress.com/winfx/2008/xaml/ribbon"
        xmlns:dxlc="http://schemas.devexpress.com/winfx/2008/xaml/layoutcontrol"
        xmlns:dxdo="http://schemas.devexpress.com/winfx/2008/xaml/docking"
        xmlns:dxwui="http://schemas.devexpress.com/winfx/2008/xaml/windowsui"
        xmlns:dxrudex="http://schemas.devexpress.com/winfx/2008/xaml/reports/userdesignerextensions"
        xmlns:dxmvvm="http://schemas.devexpress.com/winfx/2008/xaml/mvvm"
        xmlns:viewModel="clr-namespace:CASH.ViewModels"
        xmlns:view="clr-namespace:CASH.Views"
        xmlns:localization="clr-namespace:CASH.Localization"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        mc:Ignorable="d" d:DesignHeight="400" d:DesignWidth="600" DataContext="{dxmvvm:ViewModelSource viewModel:UserViewModel}">
    <UserControl.Resources>
        <ResourceDictionary Source="../../Resources/EntityViewResources.xaml" />
    </UserControl.Resources>
    <DockPanel Style="{StaticResource EntityView.RootContainer}">
        <dxwui:AppBar DockPanel.Dock="Bottom" Style="{StaticResource EntityView.AppBar}">
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Save}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.SaveAndClose}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.SaveAndNew}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Reset}" />
            <dxwui:AppBarButton Style="{StaticResource EntityView.Command.Delete}" />
        </dxwui:AppBar>
        <dxlc:LayoutControl x:Name="layoutControl" Style="{StaticResource EntityView.LayoutControl}">
            <dxlc:LayoutItem x:Name="layoutItemUsername" Label="اسم المستخدم">
                <dxe:TextEdit EditValue="{Binding Entity.Username, UpdateSourceTrigger=PropertyChanged,ValidatesOnDataErrors=True}" />
            </dxlc:LayoutItem>
            <dxlc:DataLayoutItem x:Name="layoutItemPassword"  Label="كلمة المرور">
                <dxe:PasswordBoxEdit EditValue="{Binding Entity.Password, UpdateSourceTrigger=PropertyChanged}"/>
            </dxlc:DataLayoutItem>
            <dxlc:DataLayoutItem x:Name="layoutItemIsAdmin" Binding="{Binding Entity.IsAdmin, UpdateSourceTrigger=PropertyChanged}" Label="مستخدم عامّ"/>
        </dxlc:LayoutControl>
    </DockPanel>
</UserControl>